import request from '@/utils/request'
import { URL } from '@/config'

export function getList(params) {
  return request({
    url: URL.account.base.config.getList,
    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.account.base.config.doEdit,
    method: 'post',
    data,
  })
}

export function get(params) {
  return request({
    url: URL.account.base.config.get,
    method: 'get',
    params,
  })
}

export function languageList(params) {
  return request({
    url: URL.account.base.config.languageList,
    method: 'get',
    params,
  })
}

export function editLanguage(data) {
  return request({
    url: URL.account.base.config.editLanguage,
    method: 'post',
    data,
  })
}

export function testEmail(params) {
  return request({
    url: URL.testEmail,
    method: 'get',
    params,
  })
}

export function cleanCache(data) {
  return request({
    url: URL.account.base.config.cleanCache,
    method: 'post',
    data,
  })
}

export function getSmsRecord(params) {
  return request({
    url: URL.account.base.config.smsRecord,
    method: 'get',
    params,
  })
}
